@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;

:host {
  display: block;

  .digi-typography-heading-jumbo {
    font-size: var(--digi--typography--heading-jumbo--font-size--desktop);
    font-family: var(--digi--global--typography--font-family--default);
    color: var(--digi--color--text--primary, --digi--color--text--primary);
    font-weight: var(--digi--typography--heading-jumbo--font-weight--desktop);

    @media (min-width: $digi--breakpoint--large) {
      font-size: var(
        --digi--typography--heading-jumbo--font-size--desktop-large
      );
    }

    &::after {
      content: '';
      width: #{rem(190)};
      height: #{rem(7)};
      background: var(--digi--color--background--inverted-1);
      display: block;
      margin-top: var(--digi--padding--small);

      @media (min-width: $digi--breakpoint--large) {
        width: #{rem(220)};
        margin-top: var(--digi--margin--h2-large);
        height: #{rem(10)};
      }
    }

    digi-typography & {
      margin-bottom: var(--digi--margin--medium);
    }
  }
}
